%----------------------------------------------------------
 %Program za identifikaciju parametara modela I reda: K/(Ts+1)
 %----------------------------------------------------------
 % Definisanje radne ta?ke (Qr,Hr)
 clc
 Ur =3.2 ; Hr = 1.8; 

 % experimentalna ulazno izlazna sekvenca (U0,H0) je smestena 
% u fajlu ident1.m
 % prva kolona podataka je napon pumpe (ulaz), a druga napon 
 % senzora (izlaz) 

 load ident1.m; 			% u?itavanje podataka iz fajla
 id=ident1;
 u=ident1(:,1)-Ur; 		% normalizovana ulazna sekvenca
					
 h=ident1(:,2)-Hr; 		% normalizovana izlazna sekvenca

 % ako je perioda odabiranja 0.1s, onda je vremenski niz:
 for i=1: length(h)
 t(i)=i*0.1; 			% Ts=0.1 s
 end

 % ogranicenje resenja: K,T=>0
 % Kriterijum: minimizacija sume kvadrata odstupanja

 k0=[2.5,10]; 	% vector po?etih parametara K, T pri num. izra?.
 f2=inline(' k(1)*(1-exp(-t/k(2)))','k','t');
 [k,sumakv]=lsqcurvefit(f2,k0,t,h',[0 0], [inf inf]);
 K=k(1) 		% identifikovano poja?anje K
 T=k(2) 		% identifikovana vremenska konstanta T
 S1=sumakv 	% ostvarena suma “najmanjih kvadrata”
